EDIT - bug #6973

Refreshing details and supplemental view
09/22/2017 01:44 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

Copied from #6922:

If one adds a new term and then the label of this term is changed, the new label is not reflected in the label of the supplemental data
view (it is still showing "Feature: Untitled".
After reconnect the label is correct.

Now, after reconnect the details view and supplemental data is emptied but when clicking on the empty details view the content of
the supplemental details reappears.

If this can easier be handled after full e4 migration we can live with it for now and close the ticket. But if it is easy to fix we could try to
fix it.

Also the missing refresh of the supplemental data view we decided only to handle in next version after full e4 migration therefore it is
not yet fixed. But we should open a new ticket to not forget these issues.

Related issues:
Copied from EDIT - feature request #6922: Migrate term editor Closed
Copied to EDIT - feature request #7741: Refresh supplemental data view title ... New

Associated revisions

Revision 1c621bae - 03/05/2018 04:24 PM - Patrick Plitzner

ref #6973 Fix label generation in suppData view

Revision 6e656d8c - 05/09/2018 12:44 PM - Patrick Plitzner
ref #6973 Clear all CdmEditorParts when (re-)connecting

Revision f628fac5 - 05/09/2018 12:48 PM - Patrick Plitzner

ref #6973 Refresh supplemental view when saving the term editor

Revision ad804b65 - 05/16/2018 12:10 PM - Patrick Plitzner

ref #6973 Clear editor parts when reconnecting

History

#1 - 09/22/2017 01:44 PM - Patrick Plitzner
- Copied from feature request #6922: Migrate term editor added

#2 - 09/22/2017 01:45 PM - Patrick Plitzner
- Parent task set to #4135

#3 - 09/22/2017 03:06 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.11

#4 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12
https://dev.e-taxonomy.eu/redmine/issues/6922

#5 - 12/05/2017 02:12 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#6 - 01/31/2018 12:38 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#7 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#8 - 03/05/2018 04:28 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 0 to 50

| could not reproduce the behavior you described with clicking in the empty detail view

#9 - 04/27/2018 11:58 AM - Andreas Miiller
- File picture128-1.png added

If one adds a new term and then the label of this term is changed, the new label is not reflected in the label of the supplemental data view (it is
still showing "Feature: Untitled".

Issue still exists. See attachment.

#10 - 04/27/2018 11:58 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

#11 - 04/27/2018 12:01 PM - Andreas Miiller
- File picture756-1.png added

Now, after reconnect the details view and supplemental data is emptied but when clicking on the empty details view the content of the
supplemental details reappears.

Currently, the supplemental data view is not emptied at all after a re-connect. See attachment.

#12 - 05/09/2018 12:48 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 70

all should be fixed now

#13 - 05/15/2018 11:09 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Andreas Muller wrote:
If one adds a new term and then the label of this term is changed, the new label is not reflected in the label of the supplemental data view (it

is still showing "Feature: Untitled".

Issue still exists. See attachment.
Changing label work now after saving. This is in line with other usages of supplemental data view related to details view.

Anyway, | wonder if we could not update the supplemental data view when ever data changes even if not persisted. This is e.g. the case when you
change the name of a taxon in the name editor. To me this looks more intuitive as NameEditor, DetailsView and SupplDataView are part of the same
"session" so | would expect data updates immediately, not only after saving. This is different to e.g. navigator<->name editor synchronization where
we have 2 different sessions.

As this is maybe a more general issue please feel free to create a new ticket.

#14 - 05/15/2018 11:19 AM - Andreas Miiller

Andreas Muller wrote:
Now, after reconnect the details view and supplemental data is emptied but when clicking on the empty details view the content of the
supplemental details reappears.

Currently, the supplemental data view is not emptied at all after a re-connect. See attachment.

It is better now, but still it is possible to show the old data.
Howto:

e open term editor (e.g. feature) and click on a vocabulary => shows up in details and suppleData View.

e reconnect => details view and suppDataView are empty (white)

¢ click single click on taxon in navigator => nothing happens

e click in empty details view => supplemental data view is filled with data from term vocabulary from prior to reconnect!!

This is not really critical as a seldom use case. But somehow it feels like there are mostly workarounds to handle the situation. Is there not a more
straight forward solution?

Is there a reason, why the details view and supplData view become white, not gray? This is somehow not consistent with behavior of facts view and
media view.

By the way, the above behavior is not restricted to supplemental data for terms. It also occurs when the name editor was opened before reconnect.
#15 - 05/16/2018 12:10 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 70 to 80

#16 - 05/26/2018 07:01 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 80 to 100

Seems to be fixed (though | still don' understand why the details and supplemental data view need to be white not gray, is there a reason for that?)

#17 - 05/28/2018 11:44 AM - Patrick Plitzner

Andreas Muller wrote:

Seems to be fixed (though | still don' understand why the details and supplemental data view need to be white not gray, is there a reason for
that?)

This has to do with composite hierarchy. Views like for example the media view simply have a tree viewer whereas the details and supplemental view
have several layers of composites. And it seems like a simple setEnabled(false) does not have the same visible effect here than in the other views.

#18 - 09/07/2018 10:50 AM - Patrick Plitzner

- Related to feature request #7741: Refresh supplemental data view title when editing terms added

#19 - 09/07/2018 10:50 AM - Patrick Plitzner

- Related to deleted (feature request #7741: Refresh supplemental data view title when editing terms)

#20 - 09/07/2018 10:51 AM - Patrick Plitzner
- Copied to feature request #7741: Refresh supplemental data view title when editing terms added

Files
picture128-1.png 10.1 KB 04/27/2018 Andreas Miller
picture756-1.png 59.1 KB 04/27/2018 Andreas Miller
